
QGIS Application - Bug report #8055

Panels disabled in the customization config are still available in the main menu

2013-06-13 04:44 AM - Borys Jurgiel

Status: Closed

Priority: Normal

Assignee:

Category: Customisation Framework

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 16896

Description

Panels disabled by the customization are not listed under right-click on the toolbar area, what is ok.

However they are still listed in the Settings->Panels (or I guess View->Panels in some OSes) submenu.

Btw. see customization-related blocker #8054

Related issues:

Related to QGIS Application - Bug report # 8054: Customization not available ... Closed 2013-06-13

Associated revisions

Revision 0ee93eec - 2016-11-29 12:38 PM - Borys Jurgiel

[bugfix] Fix broken docks customization. Fixes #8055

Revision 84d2c3cc - 2016-11-29 12:41 PM - Borys Jurgiel

[bugfix] Fix broken docks customization. Fixes #8055

Revision 567abc1f - 2016-11-29 12:43 PM - Borys Jurgiel

[bugfix] Fix broken docks customization. Fixes #8055

History

#1 - 2013-06-13 04:45 AM - Borys Jurgiel

It's probably still valid in master, however I can't check it because of #8054.

#2 - 2014-01-30 11:41 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#3 - 2014-01-31 03:08 AM - Borys Jurgiel

Now in master they're also listed in the context menu.

#4 - 2016-06-19 08:31 AM - Harrissou Santanna
- Affected QGIS version changed from 1.8.0 to 2.14.3

actually it looks like deactivation of panels is not taken into account at all. They are still present.

#5 - 2016-11-29 03:38 AM - Borys Jurgiel

- Status changed from Open to Closed

Fixed in changeset commit:"0ee93eece2f846805b3d189b13550c8fe0764e5c".

#6 - 2016-11-29 03:45 AM - Borys Jurgiel

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

Fixed in 2.99 and backported to the future 2.14.10 and 2.18.2

2025-04-27 2/2


